Name:           perl-Devel-Timer
Version:        0.09
Release:        1%{?dist}
Summary:        Track and report execution time for parts of code
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Devel-Timer/

Source0:        https://cpan.metacpan.org/authors/id/M/MA/MANWAR/Devel-Timer-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)

# Run-time:
BuildRequires:  perl(strict)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)

# Testing
BuildRequires:  perl(Capture::Tiny) >= 0.25
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
Devel::Timer allows developers to accurately time how long a specific
piece of code takes to execute. This can be helpful in locating the
slowest parts of an existing application.

%prep
%setup -q -n Devel-Timer-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test


%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Oct 28 2016 Denis Fateyev <denis@fateyev.com> - 0.09-1
- Update to 0.09 release

* Fri Oct 14 2016 Denis Fateyev <denis@fateyev.com> - 0.08-1
- Update to 0.08 release

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.07-2
- Perl 5.24 rebuild

* Sat Feb 06 2016 Denis Fateyev <denis@fateyev.com> - 0.07-1
- Update to 0.07 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 04 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-2
- Perl 5.22 rebuild

* Sat Nov 08 2014 Denis Fateyev <denis@fateyev.com> - 0.06-1
- Update to 0.06 release

* Tue Oct 07 2014 Denis Fateyev <denis@fateyev.com> - 0.05-2
- Small spec improvements

* Sat Sep 06 2014 Denis Fateyev <denis@fateyev.com> - 0.05-1
- Initial release
